package CBAIS::Actions::FileAction;

require Util::Tracer;

require CBAIS::Actions::Action;

@ISA = qw( CBAIS::Actions::Action );


# implement a constructor which handles CBAIS_INSTALL_ROOT being appended to
# all files in CBAIS action classes. All classes dealing with Files will also
# probbaly want a file locator - so we get it for them here.
#

sub new
{
    my ($tracer) = new Util::Tracer(@_);

    my ($class) = shift;
    my ($this) = CBAIS::Actions::Action->new(@_);

    if (defined($ENV{CBAIS_INSTALL_ROOT}) && defined($this->{FILE}))
    {
        $this->{FILE} =  $ENV{CBAIS_INSTALL_ROOT} .'/' . $this->{FILE};
        $this->{FILE} =~ s://:/:g;
    }

    bless($this, $class);
    return $this;
}

