package CBAIS::Config::UIDFilter;

use Data::Dumper;

require Util::Tracer;

use CBAIS::Util::UIDCache;

sub filter
{
    my ($tracer) = new Util::Tracer(@_);
    my ($class, $this) = @_;

    $tracer->print("filtering " . Dumper($this));
    $this->{'MODE_STR'} = $this->{MODE};
    $this->{'MODE'} = oct $this->{MODE};
    $this->{'UID'} = getUID($this->{OWNER});
    $this->{'GID'} = getGID($this->{GROUP});
}

1;
